/*                                                                  |- CFSFC -|
 * The contents of this file are subject to the Mozilla
 * Public License Version 1.0 (the "License"); you may
 * not use this file except in compliance with the
 * License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/ 
 *
 * Software distributed under the License is distributed
 * on an "AS IS" basis, WITHOUT WARRANTY OF
 * ANY KIND, either express or implied. See the
 * License for the specific language governing rights
 * and limitations under the License. 
 *
 * The Original Code is Copyright (C) 1998 Andrew Hunter.
 * All Rights Reserved. 
 *
 * The Initial Developer of the Original Code is
 * Andrew Hunter.
 *
 * Contributor(s):
 * No-one (yet :-)
 */

/*
 * brush_int.h
 * -----------
 *
 * Brush internals
 */

#ifndef __impulse_rows_brush_int_h
#define __impulse_rows_brush_int_h

#include <impulse/rows/brush.h>

typedef struct {
  void *data;

  int           use_private_gc;
  int           last_serial;

  ROWS_colour   colour;
  ROWS_drawable drawable;
} _p_ROWS_brush_data;

#endif
