/*                                                                  |- CFSFC -|
 * The contents of this file are subject to the Mozilla
 * Public License Version 1.0 (the "License"); you may
 * not use this file except in compliance with the
 * License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/ 
 *
 * Software distributed under the License is distributed
 * on an "AS IS" basis, WITHOUT WARRANTY OF
 * ANY KIND, either express or implied. See the
 * License for the specific language governing rights
 * and limitations under the License. 
 *
 * The Original Code is the ROWS widget library
 * for Impulse.
 *
 * The Initial Developer of the Original Code is
 * Andrew Hunter. Portions created by Andrew Hunter
 * are Copyright (C) 1999 Andrew Hunter.
 * All Rights Reserved
 *
 * Contributor(s):
 * No-one (yet :-)
 */

/*
 * window_xwin.h
 * -------------
 *
 * X-specific window routines
 */

#ifndef __impulse_rows_window_xwin_h
#define __impulse_rows_window_xwin_h

#include <impulse/rows/child.h>

#include <X11/Xlib.h>
#include <X11/Xutil.h>


extern impulse_bool  _p_ROWS_window_realise(ROWS_child            widget,
					    ROWS_child_event_num  event_number,
					    ROWS_child_event     *event,
					    void                     *data);

#endif

